#pragma once

// Must be the first include
#include <glad/glad.h>

// Other includes
#include <GLFW/glfw3.h>

class VertexBuffer {
  public:
    VertexBuffer();

    void set_data(int size, int dimension, const void *data, int flag);

    void bind_array();
    void bind_buffer();

    void draw();

  private:
    GLuint vertex_array;
    GLuint vertex_buffer;
    int size;
};
